set define off
set verify off
set feedback off
WHENEVER SQLERROR EXIT SQL.SQLCODE ROLLBACK
begin wwv_flow.g_import_in_progress := true; end;
/
 
 
--application/set_environment
prompt  APPLICATION 104 - Editable interactive report
--
-- Application Export:
--   Application:     104
--   Name:            Editable interactive report
--   Date and Time:   14:56 Monday June 30, 2014
--   Exported By:     LAINFJAR
--   Flashback:       0
--   Export Type:     Application Export
--   Version:         4.2.4.00.08
--   Instance ID:     69419861619727
--
-- Import:
--   Using Application Builder
--   or
--   Using SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application
 
-- Application Statistics:
--   Pages:                      2
--     Items:                    3
--     Processes:                7
--     Regions:                  3
--     Dynamic Actions:          1
--   Shared Components:
--     Logic:
--     Navigation:
--       NavBar Entries:         1
--     Security:
--       Authentication:         1
--     User Interface:
--       Themes:                 1
--       Templates:
--         Page:                 2
--         Region:               1
--         Label:                1
--         Popup LOV:            1
--         Button:               1
--         Report:               1
--       LOVs:                   2
--       Shortcuts:              2
--     Globalization:
--       Messages:               3
--     Reports:
 
 
--       AAAA       PPPPP   EEEEEE  XX      XX
--      AA  AA      PP  PP  EE       XX    XX
--     AA    AA     PP  PP  EE        XX  XX
--    AAAAAAAAAA    PPPPP   EEEE       XXXX
--   AA        AA   PP      EE        XX  XX
--  AA          AA  PP      EE       XX    XX
--  AA          AA  PP      EEEEEE  XX      XX
prompt  Set Credentials...
 
begin
 
  -- Assumes you are running the script connected to SQL*Plus as the Oracle user APEX_040200 or as the owner (parsing schema) of the application.
  wwv_flow_api.set_security_group_id(p_security_group_id=>nvl(wwv_flow_application_install.get_workspace_id,4228032459347816));
 
end;
/

begin wwv_flow.g_import_in_progress := true; end;
/
begin 

select value into wwv_flow_api.g_nls_numeric_chars from nls_session_parameters where parameter='NLS_NUMERIC_CHARACTERS';

end;

/
begin execute immediate 'alter session set nls_numeric_characters=''.,''';

end;

/
begin wwv_flow.g_browser_language := 'en'; end;
/
prompt  Check Compatibility...
 
begin
 
-- This date identifies the minimum version required to import this file.
wwv_flow_api.set_version(p_version_yyyy_mm_dd=>'2012.01.01');
 
end;
/

prompt  Set Application ID...
 
begin
 
   -- SET APPLICATION ID
   wwv_flow.g_flow_id := nvl(wwv_flow_application_install.get_application_id,104);
   wwv_flow_api.g_id_offset := nvl(wwv_flow_application_install.get_offset,0);
null;
 
end;
/

--application/delete_application
 
begin
 
   -- Remove Application
wwv_flow_api.remove_flow(nvl(wwv_flow_application_install.get_application_id,104));
 
end;
/

 
begin
 
wwv_flow_audit.remove_audit_trail(nvl(wwv_flow_application_install.get_application_id,104));
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

--application/create_application
 
begin
 
wwv_flow_api.create_flow(
  p_id    => nvl(wwv_flow_application_install.get_application_id,104),
  p_display_id=> nvl(wwv_flow_application_install.get_application_id,104),
  p_owner => nvl(wwv_flow_application_install.get_schema,'BLOG_SAMPLES'),
  p_name  => nvl(wwv_flow_application_install.get_application_name,'Editable interactive report'),
  p_alias => nvl(wwv_flow_application_install.get_application_alias,'EDITABLE_IR'),
  p_page_view_logging => 'YES',
  p_page_protection_enabled_y_n=> 'Y',
  p_checksum_salt=> '6940AAC74C5539FDC1785225BD23956DD7457DD61A5139CFD1F6EC1ABCF52E60',
  p_max_session_length_sec=> null,
  p_compatibility_mode=> '4.2',
  p_html_escaping_mode=> 'E',
  p_flow_language=> 'en',
  p_flow_language_derived_from=> 'FLOW_PRIMARY_LANGUAGE',
  p_allow_feedback_yn=> 'N',
  p_date_format=> 'DD.MM.YYYY',
  p_flow_image_prefix => nvl(wwv_flow_application_install.get_image_prefix,''),
  p_publish_yn=> 'N',
  p_documentation_banner=> '',
  p_authentication=> 'PLUGIN',
  p_authentication_id=> 90017099347425993435 + wwv_flow_api.g_id_offset,
  p_logout_url=> '',
  p_application_tab_set=> 0,
  p_logo_image => 'TEXT:Editable interactive report',
  p_public_url_prefix => '',
  p_public_user=> '',
  p_dbauth_url_prefix => '',
  p_proxy_server=> nvl(wwv_flow_application_install.get_proxy,''),
  p_cust_authentication_process=> '',
  p_cust_authentication_page=> '',
  p_flow_version=> 'release 1.0',
  p_flow_status=> 'AVAILABLE_W_EDIT_LINK',
  p_flow_unavailable_text=> 'This application is currently unavailable at this time.',
  p_build_status=> 'RUN_AND_BUILD',
  p_exact_substitutions_only=> 'Y',
  p_browser_cache=>'N',
  p_browser_frame=>'D',
  p_deep_linking=>'Y',
  p_vpd=> '',
  p_vpd_teardown_code=> '',
  p_authorize_public_pages_yn=>'N',
  p_csv_encoding=> 'Y',
  p_auto_time_zone=> 'N',
  p_include_legacy_javascript=> 'Y',
  p_default_error_display_loc=> 'INLINE_WITH_FIELD_AND_NOTIFICATION',
  p_substitution_string_01 => 'EMP_COL_NAME',
  p_substitution_value_01  => 'EMP',
  p_substitution_string_02 => 'JS_DATE_FORMAT',
  p_substitution_value_02  => 'dd.mm.yy',
  p_last_updated_by => 'LAINFJAR',
  p_last_upd_yyyymmddhh24miss=> '20140630145623',
  p_ui_type_name => null,
  p_required_roles=> wwv_flow_utilities.string_to_table2(''));
 
 
end;
/

----------------
--package app map
--
prompt  ...user interfaces
--
 
begin
 
--application/user interface/desktop
wwv_flow_api.create_user_interface (
  p_id => 90017099146627993434 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_ui_type_name => 'DESKTOP'
 ,p_display_name => 'Desktop'
 ,p_display_seq => 10
 ,p_use_auto_detect => false
 ,p_is_default => true
 ,p_theme_id => 24
 ,p_home_url => 'f?p=&APP_ID.:1:&SESSION.'
 ,p_login_url => 'f?p=&APP_ID.:LOGIN_DESKTOP:&SESSION.'
  );
null;
 
end;
/

prompt  ...plug-in settings
--
 
begin
 
--application/plug-in setting/item_type_native_yes_no
wwv_flow_api.create_plugin_setting (
  p_id => 90017089272149993413 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_plugin_type => 'ITEM TYPE'
 ,p_plugin => 'NATIVE_YES_NO'
 ,p_attribute_01 => 'Y'
 ,p_attribute_03 => 'N'
  );
null;
 
end;
/

prompt  ...authorization schemes
--
 
begin
 
null;
 
end;
/

--application/shared_components/navigation/navigation_bar
prompt  ...navigation bar entries
--
 
begin
 
wwv_flow_api.create_icon_bar_item(
  p_id => 90017099269411993434 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_icon_sequence=> 10,
  p_icon_image => '',
  p_icon_subtext=> 'Logout',
  p_icon_target=> '&LOGOUT_URL.',
  p_icon_image_alt=> 'Logout',
  p_icon_height=> 32,
  p_icon_width=> 32,
  p_icon_height2=> 24,
  p_icon_width2=> 24,
  p_nav_entry_is_feedback_yn => 'N',
  p_icon_bar_disp_cond=> '',
  p_icon_bar_disp_cond_type=> '',
  p_begins_on_new_line=> '',
  p_cell_colspan      => 1,
  p_onclick=> '',
  p_icon_bar_comment=> '');
 
 
end;
/

prompt  ...application processes
--
prompt  ...application items
--
prompt  ...application level computations
--
 
begin
 
null;
 
end;
/

prompt  ...Application Tabs
--
 
begin
 
null;
 
end;
/

prompt  ...Application Parent Tabs
--
 
begin
 
null;
 
end;
/

prompt  ...Shared Lists of values
--
--application/shared_components/user_interface/lov/department
 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 48971863628625648841 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'DEPARTMENT',
  p_lov_query=> 'select dname d, deptno r'||unistr('\000a')||
'from   dbswh_edit_ir_dept'||unistr('\000a')||
'order by 1');
 
null;
 
end;
/

--application/shared_components/user_interface/lov/manager
 
begin
 
wwv_flow_api.create_list_of_values (
  p_id       => 48971863430367648838 + wwv_flow_api.g_id_offset,
  p_flow_id  => wwv_flow.g_flow_id,
  p_lov_name => 'MANAGER',
  p_lov_query=> 'select ename d, empno r'||unistr('\000a')||
'from   dbswh_edit_ir_emp'||unistr('\000a')||
'order by 1');
 
null;
 
end;
/

prompt  ...Application Trees
--
--application/pages/page_groups
prompt  ...page groups
--
 
begin
 
null;
 
end;
/

--application/comments
prompt  ...comments: requires application express 2.2 or higher
--
 
--application/pages/page_00001
prompt  ...PAGE 1: Employees
--
 
begin
 
wwv_flow_api.create_page (
  p_flow_id => wwv_flow.g_flow_id
 ,p_id => 1
 ,p_user_interface_id => 90017099146627993434 + wwv_flow_api.g_id_offset
 ,p_name => 'Employees'
 ,p_step_title => 'Employees'
 ,p_allow_duplicate_submissions => 'Y'
 ,p_step_sub_title => 'Editable IR'
 ,p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS'
 ,p_first_item => 'NO_FIRST_ITEM'
 ,p_include_apex_css_js_yn => 'Y'
 ,p_autocomplete_on_off => 'ON'
 ,p_javascript_code => 
'(function($){'||unistr('\000a')||
' $.fn.htmldbCreateSelect = function(){'||unistr('\000a')||
'  this.filter("select").empty().each(function(i){'||unistr('\000a')||
'   $lSelf = $(this);'||unistr('\000a')||
'   lov = eval($lSelf.data("lov"));'||unistr('\000a')||
'   if($lSelf.data("display-null")){'||unistr('\000a')||
'    $lSelf.append($("<option/>",{"value":"","text":$lSelf.data("display-null")}));'||unistr('\000a')||
'   }'||unistr('\000a')||
'   $.each(lov,function(i,d){'||unistr('\000a')||
'    $lSelf.append($("<option/>",{"value":d["R"],"text":d["D"]}));'||unistr('\000a')||
'   });'||unistr('\000a')||
'   $lSelf.val($'||
'lSelf.data("last-value"));'||unistr('\000a')||
'  });'||unistr('\000a')||
'  return this;'||unistr('\000a')||
' }'||unistr('\000a')||
'})(apex.jQuery);'
 ,p_inline_css => 
'td.ui-autocomplete-loading {'||unistr('\000a')||
' background: url("#IMAGE_PREFIX#libraries/jquery-ui/1.8/themes/base/images/ui-anim_basic_16x16.gif") no-repeat scroll 98% 10% #EFEFEF !important;'||unistr('\000a')||
'}'||unistr('\000a')||
'.apexir_WORKSHEET_DATA td {'||unistr('\000a')||
' padding-right: 22px !important;'||unistr('\000a')||
' white-space: nowrap;'||unistr('\000a')||
' vertical-align: top;'||unistr('\000a')||
' -moz-transition-property: none!important;'||unistr('\000a')||
' -webkit-transition-property: none!important;'||unistr('\000a')||
' -o-transition-property: none'||
'!important;'||unistr('\000a')||
' transition-property: none!important;'||unistr('\000a')||
'}'||unistr('\000a')||
'.apexir_WORKSHEET_DATA .ir-edit-input {'||unistr('\000a')||
' color: inherit;'||unistr('\000a')||
' text-align: inherit;'||unistr('\000a')||
'}'
 ,p_page_is_public_y_n => 'N'
 ,p_protection_level => 'N'
 ,p_cache_page_yn => 'N'
 ,p_cache_timeout_seconds => 21600
 ,p_cache_by_user_yn => 'N'
 ,p_help_text => 
'"PAGE_1_HELP"'
 ,p_last_updated_by => 'LAINFJAR'
 ,p_last_upd_yyyymmddhh24miss => '20140630145542'
  );
null;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'SELECT seq_id'||unistr('\000a')||
'  ,n001 AS empno'||unistr('\000a')||
'  ,c001 AS ename'||unistr('\000a')||
'  ,c002 AS job'||unistr('\000a')||
'  ,n004 AS mgr'||unistr('\000a')||
'  ,d001 AS hiredate'||unistr('\000a')||
'  ,n002 AS sal'||unistr('\000a')||
'  ,n003 AS comm'||unistr('\000a')||
'  ,n005 AS dname'||unistr('\000a')||
'  ,clob001 AS enotes'||unistr('\000a')||
'  ,n004 AS mgrno'||unistr('\000a')||
'  ,n005 AS deptno'||unistr('\000a')||
'FROM apex_collections'||unistr('\000a')||
'WHERE collection_name = :EMP_COL_NAME';

wwv_flow_api.create_page_plug (
  p_id=> 48971860323289648821 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_plug_name=> 'Employees',
  p_region_name=>'',
  p_escape_on_http_output=>'N',
  p_plug_template=> 90017092053684993421+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 20,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'DYNAMIC_QUERY',
  p_translate_title=> 'Y',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
declare
 a1 varchar2(32767) := null;
begin
a1:=a1||'SELECT seq_id'||unistr('\000a')||
'  ,n001 AS empno'||unistr('\000a')||
'  ,c001 AS ename'||unistr('\000a')||
'  ,c002 AS job'||unistr('\000a')||
'  ,n004 AS mgr'||unistr('\000a')||
'  ,d001 AS hiredate'||unistr('\000a')||
'  ,n002 AS sal'||unistr('\000a')||
'  ,n003 AS comm'||unistr('\000a')||
'  ,n005 AS dname'||unistr('\000a')||
'  ,clob001 AS enotes'||unistr('\000a')||
'  ,n004 AS mgrno'||unistr('\000a')||
'  ,n005 AS deptno'||unistr('\000a')||
'FROM apex_collections'||unistr('\000a')||
'WHERE collection_name = :EMP_COL_NAME';

wwv_flow_api.create_worksheet(
  p_id=> 48971860525575648823+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_region_id=> 48971860323289648821+wwv_flow_api.g_id_offset,
  p_name=> 'Employees',
  p_folder_id=> null, 
  p_alias=> '',
  p_report_id_item=> '',
  p_max_row_count=> '1000000',
  p_max_row_count_message=> 'The maximum row count for this report is #MAX_ROW_COUNT# rows.  Please apply a filter to reduce the number of records in your query.',
  p_no_data_found_message=> 'No data found.',
  p_max_rows_per_page=>'',
  p_search_button_label=>'',
  p_sort_asc_image=>'',
  p_sort_asc_image_attr=>'',
  p_sort_desc_image=>'',
  p_sort_desc_image_attr=>'',
  p_sql_query => a1,
  p_status=>'AVAILABLE_FOR_OWNER',
  p_allow_report_saving=>'Y',
  p_allow_save_rpt_public=>'N',
  p_allow_report_categories=>'N',
  p_show_nulls_as=>'-',
  p_pagination_type=>'ROWS_X_TO_Y',
  p_pagination_display_pos=>'BOTTOM_RIGHT',
  p_show_finder_drop_down=>'Y',
  p_show_display_row_count=>'Y',
  p_show_search_bar=>'Y',
  p_show_search_textbox=>'Y',
  p_show_actions_menu=>'Y',
  p_report_list_mode=>'TABS',
  p_show_detail_link=>'N',
  p_show_select_columns=>'Y',
  p_show_rows_per_page=>'Y',
  p_show_filter=>'Y',
  p_show_sort=>'Y',
  p_show_control_break=>'N',
  p_show_highlight=>'Y',
  p_show_computation=>'Y',
  p_show_aggregate=>'Y',
  p_show_chart=>'Y',
  p_show_group_by=>'N',
  p_show_notify=>'N',
  p_show_calendar=>'N',
  p_show_flashback=>'Y',
  p_show_reset=>'Y',
  p_show_download=>'Y',
  p_show_help=>'Y',
  p_download_formats=>'CSV:HTML:EMAIL',
  p_detail_link=>'#',
  p_allow_exclude_null_values=>'N',
  p_allow_hide_extra_columns=>'N',
  p_icon_view_enabled_yn=>'N',
  p_icon_view_use_custom=>'N',
  p_icon_view_columns_per_row=>1,
  p_detail_view_enabled_yn=>'N',
  p_owner=>'JLAINE',
  p_internal_uid=> 48967605014760140321);
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971860623765648825+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'SEQ_ID',
  p_display_order          =>1,
  p_column_identifier      =>'A',
  p_column_label           =>'Seq Id',
  p_report_label           =>'Seq Id',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<button type="button" id="delrow-#SEQ_ID#"><img src="#IMAGE_PREFIX#qb/qb_delete.gif" alt="Delete"></button>',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'HIDDEN',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971860721206648826+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'EMPNO',
  p_display_order          =>2,
  p_column_identifier      =>'B',
  p_column_label           =>'Employee no',
  p_report_label           =>'Employee no',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#EMPNO#" value="#EMPNO#" id="N-#SEQ_ID#-1" maxlength="80" size="20" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'HIDDEN',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971860838806648826+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'ENAME',
  p_display_order          =>3,
  p_column_identifier      =>'C',
  p_column_label           =>'Name',
  p_report_label           =>'Name',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#ENAME#" value="#ENAME#" id="C-#SEQ_ID#-1" maxlength="80" size="20" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'STRING',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971860915096648826+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'JOB',
  p_display_order          =>4,
  p_column_identifier      =>'D',
  p_column_label           =>'Job',
  p_report_label           =>'Job',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#JOB#" value="#JOB#" id="C-#SEQ_ID#-2" maxlength="80" size="20" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'STRING',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861535667648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'MGR',
  p_display_order          =>5,
  p_column_identifier      =>'M',
  p_column_label           =>'Manager',
  p_report_label           =>'Manager',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<select class="ir-edit-input" data-lov="MANAGER" data-display-null="- Select -" data-last-value="#MGRNO#" id="N-#SEQ_ID#-4"></select>',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'LOV_ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_named_lov          =>48971863430367648838+wwv_flow_api.g_id_offset,
  p_rpt_show_filter_lov    =>'1',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861028245648826+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'HIREDATE',
  p_display_order          =>10,
  p_column_identifier      =>'F',
  p_column_label           =>'Hired on',
  p_report_label           =>'Hired on',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#HIREDATE#" value="#HIREDATE#" id="D-#SEQ_ID#-1" maxlength="10" size="20" readonly="readonly" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'DATE',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_format_mask            =>'DD.MM.YYYY',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861130554648826+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'SAL',
  p_display_order          =>11,
  p_column_identifier      =>'G',
  p_column_label           =>'Salary',
  p_report_label           =>'Salary',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#SAL#" value="#SAL#" id="N-#SEQ_ID#-2" maxlength="80" size="20" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861241742648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'COMM',
  p_display_order          =>12,
  p_column_identifier      =>'H',
  p_column_label           =>'Commission',
  p_report_label           =>'Commission',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<input class="ir-edit-input" type="text" data-last-value="#COMM#" value="#COMM#" id="N-#SEQ_ID#-3" maxlength="80" size="20" />',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861636905648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'DNAME',
  p_display_order          =>13,
  p_column_identifier      =>'N',
  p_column_label           =>'Department',
  p_report_label           =>'Department',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<select class="ir-edit-input" data-lov="DEPARTMENT" data-last-value="#DEPTNO#" id="N-#SEQ_ID#-5"></select>',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'LOV_ESCAPE_SC',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_named_lov          =>48971863628625648841+wwv_flow_api.g_id_offset,
  p_rpt_show_filter_lov    =>'1',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861730447648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'ENOTES',
  p_display_order          =>14,
  p_column_identifier      =>'O',
  p_column_label           =>'Notes',
  p_report_label           =>'Notes',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_column_html_expression =>'<textarea class="ir-edit-input" id="CLOB-#SEQ_ID#-1" cols="30" rows="3">#ENOTES#</textarea>',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'N',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'N',
  p_allow_aggregations     =>'N',
  p_allow_computations     =>'N',
  p_allow_charting         =>'N',
  p_allow_group_by         =>'N',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'CLOB',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'WITHOUT_MODIFICATION',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'LEFT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'N',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861330707648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'MGRNO',
  p_display_order          =>16,
  p_column_identifier      =>'K',
  p_column_label           =>'Manager no',
  p_report_label           =>'Manager no',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'HIDDEN',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
begin
wwv_flow_api.create_worksheet_column(
  p_id => 48971861436997648827+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_db_column_name         =>'DEPTNO',
  p_display_order          =>17,
  p_column_identifier      =>'L',
  p_column_label           =>'Department no',
  p_report_label           =>'Department no',
  p_sync_form_label        =>'Y',
  p_display_in_default_rpt =>'Y',
  p_is_sortable            =>'Y',
  p_allow_sorting          =>'Y',
  p_allow_filtering        =>'Y',
  p_allow_highlighting     =>'Y',
  p_allow_ctrl_breaks      =>'Y',
  p_allow_aggregations     =>'Y',
  p_allow_computations     =>'Y',
  p_allow_charting         =>'Y',
  p_allow_group_by         =>'Y',
  p_allow_hide             =>'Y',
  p_others_may_edit        =>'Y',
  p_others_may_view        =>'Y',
  p_column_type            =>'NUMBER',
  p_display_as             =>'TEXT',
  p_display_text_as        =>'HIDDEN',
  p_heading_alignment      =>'CENTER',
  p_column_alignment       =>'RIGHT',
  p_tz_dependent           =>'N',
  p_rpt_distinct_lov       =>'Y',
  p_rpt_show_filter_lov    =>'D',
  p_rpt_filter_date_ranges =>'ALL',
  p_help_text              =>'');
end;
/
declare
    rc1 varchar2(32767) := null;
begin
rc1:=rc1||'EMPNO:ENAME:JOB:MGR:HIREDATE:SAL:COMM:DNAME:ENOTES';

wwv_flow_api.create_worksheet_rpt(
  p_id => 48971861817307648828+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_session_id  => null,
  p_base_report_id  => null+wwv_flow_api.g_id_offset,
  p_application_user => 'APXWS_DEFAULT',
  p_report_seq              =>10,
  p_report_alias            =>'489676064',
  p_status                  =>'PUBLIC',
  p_category_id             =>null+wwv_flow_api.g_id_offset,
  p_is_default              =>'Y',
  p_display_rows            =>5,
  p_report_columns          =>rc1,
  p_avg_columns_on_break    =>'SAL',
  p_flashback_enabled       =>'N',
  p_calendar_display_column =>'');
end;
/
begin
wwv_flow_api.create_worksheet_condition(
  p_id => 48974167833641753846+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_report_id => 48971861817307648828+wwv_flow_api.g_id_offset,
  p_name                    =>'Low salary',
  p_condition_type          =>'HIGHLIGHT',
  p_allow_delete            =>'Y',
  p_column_name             =>'SAL',
  p_operator                =>'<',
  p_expr                    =>'1250',
  p_condition_sql           =>' (case when ("SAL" < to_number(#APXWS_EXPR#)) then #APXWS_HL_ID# end) ',
  p_condition_display       =>'#APXWS_COL_NAME# < #APXWS_EXPR_NUMBER#  ',
  p_enabled                 =>'Y',
  p_highlight_sequence      =>10,
  p_column_bg_color         =>'#FF3300',
  p_column_format           =>'');
end;
/
begin
wwv_flow_api.create_worksheet_condition(
  p_id => 48974167940958753846+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_report_id => 48971861817307648828+wwv_flow_api.g_id_offset,
  p_name                    =>'High salary',
  p_condition_type          =>'HIGHLIGHT',
  p_allow_delete            =>'Y',
  p_column_name             =>'SAL',
  p_operator                =>'>',
  p_expr                    =>'2450',
  p_condition_sql           =>' (case when ("SAL" > to_number(#APXWS_EXPR#)) then #APXWS_HL_ID# end) ',
  p_condition_display       =>'#APXWS_COL_NAME# > #APXWS_EXPR_NUMBER#  ',
  p_enabled                 =>'Y',
  p_highlight_sequence      =>10,
  p_column_bg_color         =>'#00BD00',
  p_column_format           =>'');
end;
/
begin
wwv_flow_api.create_worksheet_condition(
  p_id => 48974168032752753846+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_report_id => 48971861817307648828+wwv_flow_api.g_id_offset,
  p_name                    =>'Norm salary',
  p_condition_type          =>'HIGHLIGHT',
  p_allow_delete            =>'Y',
  p_column_name             =>'SAL',
  p_operator                =>'between',
  p_expr                    =>'1250',
  p_expr2                   =>'2450',
  p_condition_sql           =>' (case when ("SAL" between to_number(#APXWS_EXPR#) and to_number(#APXWS_EXPR2#)) then #APXWS_HL_ID# end) ',
  p_condition_display       =>'#APXWS_COL_NAME# #APXWS_OP_NAME# #APXWS_EXPR_NUMBER# #APXWS_AND# #APXWS_EXPR2_NUMBER#',
  p_enabled                 =>'Y',
  p_highlight_sequence      =>10,
  p_column_bg_color         =>'#FAFA00',
  p_column_format           =>'');
end;
/
begin
wwv_flow_api.create_worksheet_condition(
  p_id => 48974168124400753846+wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_worksheet_id => 48971860525575648823+wwv_flow_api.g_id_offset,
  p_report_id => 48971861817307648828+wwv_flow_api.g_id_offset,
  p_condition_type          =>'HIGHLIGHT',
  p_allow_delete            =>'Y',
  p_column_name             =>'SAL',
  p_operator                =>'between',
  p_expr                    =>'1250',
  p_expr2                   =>'2850',
  p_condition_sql           =>' (case when ("SAL" between to_number(#APXWS_EXPR#) and to_number(#APXWS_EXPR2#)) then #APXWS_HL_ID# end) ',
  p_condition_display       =>'#APXWS_COL_NAME# #APXWS_OP_NAME# #APXWS_EXPR_NUMBER# #APXWS_AND# #APXWS_EXPR2_NUMBER#',
  p_enabled                 =>'Y',
  p_highlight_sequence      =>10,
  p_row_font_color          =>'#0015FF',
  p_column_format           =>'');
end;
/
declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s:=s||'Help Text';

wwv_flow_api.create_page_plug (
  p_id=> 48974254443515794562 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 1,
  p_plug_name=> 'Info',
  p_region_name=>'',
  p_escape_on_http_output=>'Y',
  p_plug_template=> 90017092053684993421+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'HELP_TEXT',
  p_translate_title=> 'Y',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'QUERY_COLUMNS',
  p_plug_query_num_rows_type => 'NEXT_PREVIOUS_LINKS',
  p_plug_query_row_count_max => 500,
  p_plug_query_show_nulls_as => ' - ',
  p_plug_display_condition_type => '',
  p_pagination_display_position=>'BOTTOM_RIGHT',
  p_plug_customized=>'0',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

 
begin
 
wwv_flow_api.create_page_da_event (
  p_id => 48971863023331648835 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_name => 'Save value'
 ,p_event_sequence => 10
 ,p_triggering_element_type => 'REGION'
 ,p_triggering_region_id => 48971860323289648821 + wwv_flow_api.g_id_offset
 ,p_bind_type => 'bind'
 ,p_bind_event_type => 'apexafterrefresh'
  );
wwv_flow_api.create_page_da_action (
  p_id => 48971863322272648836 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_page_id => 1
 ,p_event_id => 48971863023331648835 + wwv_flow_api.g_id_offset
 ,p_event_result => 'TRUE'
 ,p_action_sequence => 10
 ,p_execute_on_page_init => 'Y'
 ,p_action => 'NATIVE_JAVASCRIPT_CODE'
 ,p_affected_elements_type => 'REGION'
 ,p_affected_region_id => 48971860323289648821 + wwv_flow_api.g_id_offset
 ,p_attribute_01 => '$(this.triggeringElement)'||unistr('\000a')||
'.find(".apexir_WORKSHEET_DATA tr")'||unistr('\000a')||
'.removeClass("even odd")'||unistr('\000a')||
'.find("td .ir-edit-input")'||unistr('\000a')||
'.change({region:this.triggeringElement},function(e){'||unistr('\000a')||
' var $lThis=$(this), $lRegion=$(e.data.region);'||unistr('\000a')||
' apex.server.process("SAVE_DATA",{'||unistr('\000a')||
'  x01:this.id,'||unistr('\000a')||
'  f01:$s_Split(this.value, 4000)'||unistr('\000a')||
' },{'||unistr('\000a')||
'  dataType:"text",'||unistr('\000a')||
'  beforeSend:function(){'||unistr('\000a')||
'   $lThis.prop("disabled", true).parent("td").addClass("ui-autocomplete-loading");'||unistr('\000a')||
'  },'||unistr('\000a')||
'  success:function(pData){'||unistr('\000a')||
'   if(pData!=="OK"){'||unistr('\000a')||
'    alert(pData);'||unistr('\000a')||
'    $lThis.val($lThis.data("last-value")).prop("disabled", false).parent("td").removeClass("ui-autocomplete-loading");'||unistr('\000a')||
'    return false;'||unistr('\000a')||
'   }'||unistr('\000a')||
'   /* Refresh IR after value is saved */'||unistr('\000a')||
'   $lRegion.trigger("apexrefresh");'||unistr('\000a')||
'  }'||unistr('\000a')||
' });'||unistr('\000a')||
'})'||unistr('\000a')||
'.htmldbCreateSelect()'||unistr('\000a')||
'.filter("[id^=D]")'||unistr('\000a')||
'.datepicker({'||unistr('\000a')||
' dateFormat:"&JS_DATE_FORMAT.", // JS_DATE_FORMAT is application substitution string'||unistr('\000a')||
' constrainInput:true,'||unistr('\000a')||
' changeMonth:true,'||unistr('\000a')||
' changeYear:true,'||unistr('\000a')||
' showButtonPanel:true,'||unistr('\000a')||
' showOn:"both",'||unistr('\000a')||
' buttonImageOnly:true,'||unistr('\000a')||
' buttonImage:"#IMAGE_PREFIX#asfdcldr.gif",'||unistr('\000a')||
' showAnim:"slideDown"'||unistr('\000a')||
'});'
 ,p_stop_execution_on_error => 'Y'
 );
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'DECLARE'||unistr('\000a')||
'	cur 	SYS_REFCURSOR;'||unistr('\000a')||
'	lov_d	VARCHAR2(4000);'||unistr('\000a')||
'	lov_r	VARCHAR2(4000);'||unistr('\000a')||
'	l_cnt	PLS_INTEGER;'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
'	htp.p(''<script type="text/javascript">'');'||unistr('\000a')||
'	FOR c1 IN ('||unistr('\000a')||
'		SELECT list_of_values_query'||unistr('\000a')||
'			,list_of_values_name'||unistr('\000a')||
'		FROM apex_application_lovs'||unistr('\000a')||
'		WHERE application_id = :APP_ID'||unistr('\000a')||
'		AND list_of_values_name IN(''MANAGER'', ''DEPARTMENT'')'||unistr('\000a')||
'	) LOOP'||unistr('\000a')||
'		l_cnt := 0;'||unistr('\000a')||
'		OPEN cur FOR c1.list_of_values_query;'||unistr('\000a')||
'		LOOP '||unistr('\000a')||
'			';

p:=p||'FETCH cur INTO lov_d, lov_r;'||unistr('\000a')||
'			EXIT WHEN cur%NOTFOUND;'||unistr('\000a')||
'			l_cnt := cur%ROWCOUNT;'||unistr('\000a')||
'			IF l_cnt = 1 THEN'||unistr('\000a')||
'				htp.prn(''var '' || c1.list_of_values_name || '' = [{'');'||unistr('\000a')||
'			ELSE'||unistr('\000a')||
'				htp.prn('',{'');'||unistr('\000a')||
'			END IF;'||unistr('\000a')||
'			htp.prn(''"D":"'' || lov_d || ''","R":"'' || lov_r || ''"}'');'||unistr('\000a')||
'		END LOOP;'||unistr('\000a')||
'		CLOSE cur;'||unistr('\000a')||
'		IF l_cnt = 0 THEN'||unistr('\000a')||
'			htp.p(''var '' || c1.list_of_values_name || '' = [];'');'||unistr('\000a')||
'		ELSE'||unistr('\000a')||
'			htp.p(''];'');'||unistr('\000a')||
'		END IF;'||unistr('\000a')||
'	END LO';

p:=p||'OP;'||unistr('\000a')||
'	htp.p(''</script>'');'||unistr('\000a')||
'END;';

wwv_flow_api.create_page_process(
  p_id     => 48971862833054648834 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_FOOTER',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Print LOVs to JSON object',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_only_for_changed_rows=> 'Y',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'APEX_COLLECTION.CREATE_COLLECTION_FROM_QUERYB2 ('||unistr('\000a')||
'  p_collection_name => :EMP_COL_NAME, --  EMP_COL_NAME is application substitution string'||unistr('\000a')||
'  p_query => '''||unistr('\000a')||
'    SELECT e1.empno'||unistr('\000a')||
'      , e1.sal'||unistr('\000a')||
'      , COALESCE(e1.comm, 0) AS comm'||unistr('\000a')||
'      , e1.mgr'||unistr('\000a')||
'      , e1.deptno'||unistr('\000a')||
'      , e1.hiredate'||unistr('\000a')||
'      , NULL'||unistr('\000a')||
'      , NULL'||unistr('\000a')||
'      , NULL'||unistr('\000a')||
'      , NULL'||unistr('\000a')||
'      , e1.ename'||unistr('\000a')||
'      , e1.job'||unistr('\000a')||
'   FROM dbswh_edit_ir_emp e1'||unistr('\000a')||
'  '''||unistr('\000a')||
');';

wwv_flow_api.create_page_process(
  p_id     => 48971862430209648833 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 20,
  p_process_point=> 'BEFORE_BOX_BODY',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Create emp collection',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_process_when=>'NOT APEX_COLLECTION.COLLECTION_EXISTS(:EMP_COL_NAME)',
  p_process_when_type=>'PLSQL_EXPRESSION',
  p_only_for_changed_rows=> 'Y',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'DECLARE'||unistr('\000a')||
'  l_val      VARCHAR2(32700);'||unistr('\000a')||
'  l_len      PLS_INTEGER := 0;'||unistr('\000a')||
'  l_data     CLOB;'||unistr('\000a')||
'  l_date_val DATE;'||unistr('\000a')||
'  l_num_val  NUMBER;'||unistr('\000a')||
'  l_arr      APEX_APPLICATION_GLOBAL.VC_ARR2;'||unistr('\000a')||
'BEGIN'||unistr('\000a')||
''||unistr('\000a')||
'  l_len := APEX_APPLICATION.G_f01.COUNT;'||unistr('\000a')||
'  '||unistr('\000a')||
'  IF l_len > 0 THEN'||unistr('\000a')||
'    l_val := APEX_APPLICATION.G_f01(1);'||unistr('\000a')||
'  END IF;'||unistr('\000a')||
''||unistr('\000a')||
'  l_arr := APEX_UTIL.STRING_TO_TABLE(APEX_APPLICATION.G_X01, ''-'');'||unistr('\000a')||
''||unistr('\000a')||
'  IF l_arr(1) = ''C'' THEN'||unistr('\000a')||
''||unistr('\000a')||
'    APEX_C';

p:=p||'OLLECTION.UPDATE_MEMBER_ATTRIBUTE ('||unistr('\000a')||
'      p_collection_name => :EMP_COL_NAME,'||unistr('\000a')||
'      p_seq             => l_arr(2),'||unistr('\000a')||
'      p_attr_number     => l_arr(3),'||unistr('\000a')||
'      p_attr_value      => l_val'||unistr('\000a')||
'    );'||unistr('\000a')||
''||unistr('\000a')||
'  ELSIF l_arr(1) = ''N'' THEN'||unistr('\000a')||
''||unistr('\000a')||
'    BEGIN'||unistr('\000a')||
'      l_num_val := TO_NUMBER(l_val);'||unistr('\000a')||
'    EXCEPTION WHEN VALUE_ERROR'||unistr('\000a')||
'    THEN'||unistr('\000a')||
'      HTP.PRN(APEX_LANG.MESSAGE(''SAVE_DATA_NUMBER_ERROR''));'||unistr('\000a')||
'      RETURN;'||unistr('\000a')||
'    END;'||unistr('\000a')||
''||unistr('\000a')||
'    APE';

p:=p||'X_COLLECTION.UPDATE_MEMBER_ATTRIBUTE ('||unistr('\000a')||
'      p_collection_name => :EMP_COL_NAME,'||unistr('\000a')||
'      p_seq             => l_arr(2),'||unistr('\000a')||
'      p_attr_number     => l_arr(3),'||unistr('\000a')||
'      p_number_value    => l_num_val'||unistr('\000a')||
'    );'||unistr('\000a')||
''||unistr('\000a')||
'  ELSIF l_arr(1) = ''D'' THEN'||unistr('\000a')||
''||unistr('\000a')||
'    BEGIN'||unistr('\000a')||
'      l_date_val := TO_DATE(l_val, :APP_NLS_DATE_FORMAT);'||unistr('\000a')||
'    EXCEPTION WHEN OTHERS'||unistr('\000a')||
'    THEN'||unistr('\000a')||
'      HTP.PRN(APEX_LANG.MESSAGE(''SAVE_DATA_DATE_ERROR'', :APP_NLS_DAT';

p:=p||'E_FORMAT));'||unistr('\000a')||
'      RETURN;'||unistr('\000a')||
'    END;'||unistr('\000a')||
''||unistr('\000a')||
'    APEX_COLLECTION.UPDATE_MEMBER_ATTRIBUTE ('||unistr('\000a')||
'      p_collection_name => :EMP_COL_NAME,'||unistr('\000a')||
'      p_seq             => l_arr(2),'||unistr('\000a')||
'      p_attr_number     => l_arr(3),'||unistr('\000a')||
'      p_date_value      => l_date_val'||unistr('\000a')||
'    );'||unistr('\000a')||
'	'||unistr('\000a')||
'  ELSIF l_arr(1) = ''CLOB'' THEN'||unistr('\000a')||
'    '||unistr('\000a')||
'    IF l_len = 0'||unistr('\000a')||
'    OR COALESCE(LENGTH(APEX_APPLICATION.G_f01(1)), 0) = 0'||unistr('\000a')||
'    THEN'||unistr('\000a')||
'      APEX_COLLECTION.UPDATE_MEMBER';

p:=p||'_ATTRIBUTE ('||unistr('\000a')||
'        p_collection_name => :EMP_COL_NAME,'||unistr('\000a')||
'        p_seq             => l_arr(2),'||unistr('\000a')||
'        p_clob_number     => 1,'||unistr('\000a')||
'        p_clob_value      => NULL'||unistr('\000a')||
'      );'||unistr('\000a')||
'    ELSE'||unistr('\000a')||
'      '||unistr('\000a')||
'      dbms_lob.createtemporary('||unistr('\000a')||
'        lob_loc => l_data,'||unistr('\000a')||
'        cache   => TRUE,'||unistr('\000a')||
'        dur     => dbms_lob.session'||unistr('\000a')||
'      );'||unistr('\000a')||
'      dbms_lob.open(l_data, dbms_lob.lob_readwrite);'||unistr('\000a')||
'    '||unistr('\000a')||
'      FOR i IN 1 .. l_len'||unistr('\000a')||
'';

p:=p||'      LOOP'||unistr('\000a')||
'        dbms_lob.writeappend('||unistr('\000a')||
'          lob_loc => l_data,'||unistr('\000a')||
'          amount  => LENGTH(APEX_APPLICATION.G_f01(i)),'||unistr('\000a')||
'          buffer  => APEX_APPLICATION.G_f01(i)'||unistr('\000a')||
'        );'||unistr('\000a')||
'      END LOOP;'||unistr('\000a')||
'      dbms_lob.close(l_data);'||unistr('\000a')||
'      APEX_COLLECTION.UPDATE_MEMBER_ATTRIBUTE ('||unistr('\000a')||
'        p_collection_name => :EMP_COL_NAME,'||unistr('\000a')||
'        p_seq             => l_arr(2),'||unistr('\000a')||
'        p_clob_number     => 1,'||unistr('\000a')||
'       ';

p:=p||' p_clob_value      => l_data'||unistr('\000a')||
'      );'||unistr('\000a')||
'    END IF;'||unistr('\000a')||
'  END IF;'||unistr('\000a')||
'  '||unistr('\000a')||
'  HTP.PRN(''OK'');'||unistr('\000a')||
'END;';

wwv_flow_api.create_page_process(
  p_id     => 48971862620447648833 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 1,
  p_process_sequence=> 30,
  p_process_point=> 'ON_DEMAND',
  p_process_type=> 'PLSQL',
  p_process_name=> 'SAVE_DATA',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_only_for_changed_rows=> 'Y',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 1
--
 
begin
 
null;
end;
null;
 
end;
/

 
--application/pages/page_00101
prompt  ...PAGE 101: Login
--
 
begin
 
wwv_flow_api.create_page (
  p_flow_id => wwv_flow.g_flow_id
 ,p_id => 101
 ,p_user_interface_id => 90017099146627993434 + wwv_flow_api.g_id_offset
 ,p_name => 'Login'
 ,p_alias => 'LOGIN_DESKTOP'
 ,p_step_title => 'Login'
 ,p_step_sub_title_type => 'TEXT_WITH_SUBSTITUTIONS'
 ,p_first_item => 'AUTO_FIRST_ITEM'
 ,p_include_apex_css_js_yn => 'Y'
 ,p_autocomplete_on_off => 'OFF'
 ,p_step_template => 90017089361621993413 + wwv_flow_api.g_id_offset
 ,p_page_is_public_y_n => 'Y'
 ,p_cache_page_yn => 'N'
 ,p_last_updated_by => 'LAINFJAR'
 ,p_last_upd_yyyymmddhh24miss => '20140308091817'
  );
null;
 
end;
/

declare
  s varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
s := null;
wwv_flow_api.create_page_plug (
  p_id=> 90017099644329993435 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_page_id=> 101,
  p_plug_name=> 'Login',
  p_region_name=>'',
  p_escape_on_http_output=>'N',
  p_plug_template=> 90017092053684993421+ wwv_flow_api.g_id_offset,
  p_plug_display_sequence=> 10,
  p_plug_new_grid         => false,
  p_plug_new_grid_row     => true,
  p_plug_new_grid_column  => true,
  p_plug_display_column=> null,
  p_plug_display_point=> 'BODY_3',
  p_plug_item_display_point=> 'ABOVE',
  p_plug_source=> s,
  p_plug_source_type=> 'STATIC_TEXT',
  p_plug_query_row_template=> 1,
  p_plug_query_headings_type=> 'COLON_DELMITED_LIST',
  p_plug_query_row_count_max => 500,
  p_plug_display_condition_type => '',
  p_plug_caching=> 'NOT_CACHED',
  p_plug_comment=> '');
end;
/
 
begin
 
null;
 
end;
/

 
begin
 
null;
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>90017099762708993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_USERNAME',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 10,
  p_item_plug_id => 90017099644329993435+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'Username',
  p_display_as=> 'NATIVE_TEXT_FIELD',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 40,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_new_grid=> false,
  p_begin_on_new_line=> 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'RIGHT',
  p_field_alignment=> 'LEFT',
  p_field_template=> 90017097449082993429+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_attribute_01 => 'N',
  p_attribute_02 => 'N',
  p_attribute_03 => 'N',
  p_attribute_04 => 'TEXT',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>90017099848602993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_PASSWORD',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 20,
  p_item_plug_id => 90017099644329993435+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_prompt=>'Password',
  p_display_as=> 'NATIVE_PASSWORD',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> 40,
  p_cMaxlength=> 100,
  p_cHeight=> null,
  p_new_grid=> false,
  p_begin_on_new_line=> 'YES',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'RIGHT',
  p_field_alignment=> 'LEFT',
  p_field_template=> 90017097449082993429+wwv_flow_api.g_id_offset,
  p_is_persistent=> 'Y',
  p_attribute_01 => 'Y',
  p_attribute_02 => 'Y',
  p_item_comment => '');
 
 
end;
/

declare
    h varchar2(32767) := null;
begin
wwv_flow_api.create_page_item(
  p_id=>90017099944667993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id=> 101,
  p_name=>'P101_LOGIN',
  p_data_type=> '',
  p_is_required=> false,
  p_accept_processing=> 'REPLACE_EXISTING',
  p_item_sequence=> 30,
  p_item_plug_id => 90017099644329993435+wwv_flow_api.g_id_offset,
  p_use_cache_before_default=> '',
  p_item_default=> 'LOGIN',
  p_prompt=>'Login',
  p_source=>'LOGIN',
  p_source_type=> 'STATIC',
  p_display_as=> 'BUTTON',
  p_lov_display_null=> 'NO',
  p_lov_translated=> 'N',
  p_cSize=> null,
  p_cMaxlength=> null,
  p_cHeight=> null,
  p_tag_attributes  => 'template:'||to_char(90017098067253993430 + wwv_flow_api.g_id_offset),
  p_new_grid=> false,
  p_begin_on_new_line=> 'NO',
  p_begin_on_new_field=> 'YES',
  p_colspan=> null,
  p_rowspan=> null,
  p_grid_column=> null,
  p_label_alignment=> 'LEFT',
  p_field_alignment=> 'LEFT',
  p_is_persistent=> 'Y',
  p_button_execute_validations=>'Y',
  p_button_action => 'SUBMIT',
  p_button_is_hot=>'Y',
  p_item_comment => '');
 
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'apex_authentication.send_login_username_cookie ('||unistr('\000a')||
'    p_username => lower(:P101_USERNAME) );';

wwv_flow_api.create_page_process(
  p_id     => 90017100150206993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Set Username Cookie',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'apex_authentication.login('||unistr('\000a')||
'    p_username => :P101_USERNAME,'||unistr('\000a')||
'    p_password => :P101_PASSWORD );';

wwv_flow_api.create_page_process(
  p_id     => 90017100065948993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 20,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Login',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||'101';

wwv_flow_api.create_page_process(
  p_id     => 90017100360433993437 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 30,
  p_process_point=> 'AFTER_SUBMIT',
  p_process_type=> 'CLEAR_CACHE_FOR_PAGES',
  p_process_name=> 'Clear Page(s) Cache',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'INLINE_IN_NOTIFICATION',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
declare
  p varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
p:=p||':P101_USERNAME := apex_authentication.get_login_username_cookie;';

wwv_flow_api.create_page_process(
  p_id     => 90017100273147993436 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_flow_step_id => 101,
  p_process_sequence=> 10,
  p_process_point=> 'BEFORE_HEADER',
  p_process_type=> 'PLSQL',
  p_process_name=> 'Get Username Cookie',
  p_process_sql_clob => p,
  p_process_error_message=> '',
  p_error_display_location=> 'ON_ERROR_PAGE',
  p_process_success_message=> '',
  p_process_is_stateful_y_n=>'N',
  p_process_comment=>'');
end;
null;
 
end;
/

 
begin
 
---------------------------------------
-- ...updatable report columns for page 101
--
 
begin
 
null;
end;
null;
 
end;
/

prompt  ...lists
--
--application/shared_components/navigation/breadcrumbs
prompt  ...breadcrumbs
--
prompt  ...page templates for application: 104
--
--application/shared_components/user_interface/templates/page/login
prompt  ......Page template 90017089361621993413
 
begin
 
wwv_flow_api.create_template (
  p_id => 90017089361621993413 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_theme_id => 24
 ,p_name => 'Login'
 ,p_is_popup => false
 ,p_header_template => '<!DOCTYPE html>'||unistr('\000a')||
'<!--[if lt IE 7 ]> <html class="ie6 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 7 ]>    <html class="ie7 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 8 ]>    <html class="ie8 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 9 ]>    <html class="ie9" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if (gt IE 9)|!(IE)]><!--> <html lang="&BROWSER_LANGUAGE."> <!--<![endif]-->'||unistr('\000a')||
'<head>'||unistr('\000a')||
'  <meta charset="UTF-8">'||unistr('\000a')||
'  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">'||unistr('\000a')||
'  <title>#TITLE#</title>'||unistr('\000a')||
'  <link rel="icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  <link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  #APEX_CSS#'||unistr('\000a')||
'#TEMPLATE_CSS#'||unistr('\000a')||
'#THEME_CSS#'||unistr('\000a')||
'#PAGE_CSS#'||unistr('\000a')||
'#APEX_JAVASCRIPT#'||unistr('\000a')||
'#TEMPLATE_JAVASCRIPT#'||unistr('\000a')||
'#APPLICATION_JAVASCRIPT#'||unistr('\000a')||
'#PAGE_JAVASCRIPT#'||unistr('\000a')||
'#HEAD#'||unistr('\000a')||
'  <meta name="viewport" content="width=device-width, initial-scale=1.0">'||unistr('\000a')||
'  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css">'||unistr('\000a')||
'  <script src="#IMAGE_PREFIX#themes/theme_24/js/4_1.js"></script>'||unistr('\000a')||
'</head>'||unistr('\000a')||
'<body #ONLOAD# id="uLogin">'||unistr('\000a')||
'  <!--[if lte IE 6]><div id="outdated-browser">#OUTDATED_BROWSER#</div><![endif]-->'||unistr('\000a')||
'  #FORM_OPEN#'||unistr('\000a')||
'  <div id="uBodyContainer">'
 ,p_box => 
'<div id="uLoginContainer">'||unistr('\000a')||
'  #SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#'||unistr('\000a')||
'  #REGION_POSITION_02#'||unistr('\000a')||
'  #BOX_BODY#'||unistr('\000a')||
'  #REGION_POSITION_03#'||unistr('\000a')||
'</div>'
 ,p_footer_template => 
'</div>'||unistr('\000a')||
'#FORM_CLOSE#'||unistr('\000a')||
'#DEVELOPER_TOOLBAR#'||unistr('\000a')||
'#GENERATED_CSS#'||unistr('\000a')||
'#GENERATED_JAVASCRIPT#'||unistr('\000a')||
'</body>'||unistr('\000a')||
'</html>'
 ,p_success_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uSuccessMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uSuccessMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uCheckmarkIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #SUCCESS_MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_notification_message => '<section class="uSingleAlertMessage red" id="uNotificationMessage">'||unistr('\000a')||
'	<p>#MESSAGE#</p>'||unistr('\000a')||
'	<a href="javascript:void(0)" class="closeMessage" onclick="$x_Remove(''uNotificationMessage'')"></a>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_navigation_bar => '#BAR_BODY#'
 ,p_region_table_cattributes => ' summary="" cellpadding="0" border="0" cellspacing="0"'
 ,p_theme_class_id => 6
 ,p_grid_type => 'TABLE'
 ,p_has_edit_links => true
 ,p_translate_this_template => 'N'
 ,p_template_comment => '18'
  );
null;
 
end;
/

--application/shared_components/user_interface/templates/page/no_tabs_no_sidebar
prompt  ......Page template 90017089652831993416
 
begin
 
wwv_flow_api.create_template (
  p_id => 90017089652831993416 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_theme_id => 24
 ,p_name => 'No Tabs - No Sidebar'
 ,p_is_popup => false
 ,p_header_template => '<!DOCTYPE html>'||unistr('\000a')||
'<!--[if lt IE 7 ]> <html class="ie6 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 7 ]>    <html class="ie7 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 8 ]>    <html class="ie8 no-css3" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if IE 9 ]>    <html class="ie9" lang="&BROWSER_LANGUAGE."> <![endif]-->'||unistr('\000a')||
'<!--[if (gt IE 9)|!(IE)]><!--> <html lang="&BROWSER_LANGUAGE."> <!--<![endif]-->'||unistr('\000a')||
'<head>'||unistr('\000a')||
'  <meta charset="UTF-8">'||unistr('\000a')||
'  <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">'||unistr('\000a')||
'  <title>#TITLE#</title>'||unistr('\000a')||
'  <link rel="icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  <link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">'||unistr('\000a')||
'  #APEX_CSS#'||unistr('\000a')||
'#TEMPLATE_CSS#'||unistr('\000a')||
'#THEME_CSS#'||unistr('\000a')||
'#PAGE_CSS#'||unistr('\000a')||
'#APEX_JAVASCRIPT#'||unistr('\000a')||
'#TEMPLATE_JAVASCRIPT#'||unistr('\000a')||
'#APPLICATION_JAVASCRIPT#'||unistr('\000a')||
'#PAGE_JAVASCRIPT#'||unistr('\000a')||
'#HEAD#'||unistr('\000a')||
'  <meta name="viewport" content="width=device-width, initial-scale=1.0">'||unistr('\000a')||
'  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css">'||unistr('\000a')||
'  <script src="#IMAGE_PREFIX#themes/theme_24/js/4_1.js"></script>'||unistr('\000a')||
'</head>'||unistr('\000a')||
'<body #ONLOAD#>'||unistr('\000a')||
'  <!--[if lte IE 6]><div id="outdated-browser">#OUTDATED_BROWSER#</div><![endif]-->'||unistr('\000a')||
'  #FORM_OPEN#'||unistr('\000a')||
'  <div id="uBodyContainer">'
 ,p_box => 
'<header id="uHeader">'||unistr('\000a')||
'  #REGION_POSITION_07#'||unistr('\000a')||
'  <hgroup>'||unistr('\000a')||
'    <a href="#HOME_LINK#" id="uLogo">#LOGO#</a>'||unistr('\000a')||
'    <div class="uAPEXNavBar">'||unistr('\000a')||
'      <ul>'||unistr('\000a')||
'        #NAVIGATION_BAR#'||unistr('\000a')||
'      </ul>'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'    #REGION_POSITION_08#'||unistr('\000a')||
'  </hgroup>'||unistr('\000a')||
'  #REGION_POSITION_04#'||unistr('\000a')||
'</header>'||unistr('\000a')||
'#REGION_POSITION_01#'||unistr('\000a')||
'#SUCCESS_MESSAGE##NOTIFICATION_MESSAGE##GLOBAL_NOTIFICATION#'||unistr('\000a')||
'<div id="uOneCol">'||unistr('\000a')||
'  #REGION_POSITION_02#'||unistr('\000a')||
'  #BOX_BODY#'||unistr('\000a')||
''||
'  #REGION_POSITION_03#'||unistr('\000a')||
'</div>'
 ,p_footer_template => 
'<footer id="uFooter">'||unistr('\000a')||
'  <div class="uFooterContent">'||unistr('\000a')||
'    <div id="customize">#CUSTOMIZE#</div>'||unistr('\000a')||
'    #REGION_POSITION_05#'||unistr('\000a')||
'    #APP_VERSION#'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uFooterBG">'||unistr('\000a')||
'    <div class="uLeft"></div>'||unistr('\000a')||
'    <div class="uRight"></div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</footer>'||unistr('\000a')||
'<div id="uHiddenItems">'||unistr('\000a')||
'  #REGION_POSITION_08#'||unistr('\000a')||
'</div>'||unistr('\000a')||
'</div>'||unistr('\000a')||
'#FORM_CLOSE#'||unistr('\000a')||
'#DEVELOPER_TOOLBAR#'||unistr('\000a')||
'#GENERATED_CSS#'||unistr('\000a')||
'#GENERATED_JAVASCRIPT#'||unistr('\000a')||
'</body>'||unistr('\000a')||
'</html'||
'>'
 ,p_success_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uSuccessMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uSuccessMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uCheckmarkIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #SUCCESS_MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_notification_message => '<section class="uRegion uWhiteRegion uMessageRegion clearfix" id="uNotificationMessage">'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    <a href="javascript:void(0)" onclick="$x_Remove(''uNotificationMessage'')" class="uCloseMessage"></a>'||unistr('\000a')||
'    <img src="#IMAGE_PREFIX#f_spacer.gif" class="uWarningIcon" alt="" />'||unistr('\000a')||
'    <div class="uMessageText">'||unistr('\000a')||
'      #MESSAGE#'||unistr('\000a')||
'    </div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'||unistr('\000a')||
''
 ,p_navigation_bar => '#BAR_BODY#'
 ,p_navbar_entry => '<li><a href="#LINK#">#TEXT#</a>#EDIT#</li>'
 ,p_region_table_cattributes => ' summary="" cellpadding="0" border="0" cellspacing="0" width="100%"'
 ,p_sidebar_def_reg_pos => 'REGION_POSITION_02'
 ,p_breadcrumb_def_reg_pos => 'REGION_POSITION_01'
 ,p_theme_class_id => 3
 ,p_error_page_template => '<section class="uRegion uNoHeading uErrorRegion">'||unistr('\000a')||
'  <div class="uRegionContent">'||unistr('\000a')||
'    <p><strong>#MESSAGE#</strong></p>'||unistr('\000a')||
'    <p>#ADDITIONAL_INFO#</p>'||unistr('\000a')||
'    <div class="uErrorTechInfo">#TECHNICAL_INFO#</div>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uRegionHeading">'||unistr('\000a')||
'    <span class="uButtonContainer">'||unistr('\000a')||
'      <a href="#BACK_LINK#" class="uButtonLarge uHotButton"><span>#OK#</span></a>'||unistr('\000a')||
'    </span>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_grid_type => 'TABLE'
 ,p_has_edit_links => true
 ,p_translate_this_template => 'N'
  );
null;
 
end;
/

prompt  ...button templates
--
--application/shared_components/user_interface/templates/button/large_button
prompt  ......Button Template 90017098067253993430
 
begin
 
wwv_flow_api.create_button_templates (
  p_id => 90017098067253993430 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_template_name => 'Large Button'
 ,p_template => 
'<a href="#LINK#" class="uButtonLarge #BUTTON_CSS_CLASSES#" id="#BUTTON_ID#" #BUTTON_ATTRIBUTES# role="button"><span>#LABEL#</span></a> '
 ,p_hot_template => 
'<a href="#LINK#" class="uButtonLarge uHotButton #BUTTON_CSS_CLASSES#" id="#BUTTON_ID#" #BUTTON_ATTRIBUTES# role="button"><span>#LABEL#</span></a> '
 ,p_translate_this_template => 'N'
 ,p_theme_class_id => 5
 ,p_template_comment => 'Standard Button'
 ,p_theme_id => 24
  );
null;
 
end;
/

---------------------------------------
prompt  ...region templates
--
--application/shared_components/user_interface/templates/region/form_region
prompt  ......region template 90017092053684993421
 
begin
 
wwv_flow_api.create_plug_template (
  p_id => 90017092053684993421 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_layout => 'TABLE'
 ,p_template => 
'<section class="uRegion #REGION_CSS_CLASSES# clearfix" id="#REGION_STATIC_ID#" #REGION_ATTRIBUTES#>'||unistr('\000a')||
'  <div class="uRegionHeading">'||unistr('\000a')||
'    <h1>#TITLE#</h1>'||unistr('\000a')||
'    <span class="uButtonContainer">'||unistr('\000a')||
'      #CLOSE##PREVIOUS##NEXT##DELETE##EDIT##CHANGE##CREATE##CREATE2##EXPAND##COPY##HELP#'||unistr('\000a')||
'    </span>'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'  <div class="uRegionContent clearfix">'||unistr('\000a')||
'    #BODY#'||unistr('\000a')||
'  </div>'||unistr('\000a')||
'</section>'
 ,p_page_plug_template_name => 'Form Region'
 ,p_plug_table_bgcolor => '#f7f7e7'
 ,p_theme_id => 24
 ,p_theme_class_id => 8
 ,p_plug_heading_bgcolor => '#f7f7e7'
 ,p_plug_font_size => '-1'
 ,p_default_label_alignment => 'RIGHT'
 ,p_default_field_alignment => 'LEFT'
 ,p_translate_this_template => 'N'
 ,p_template_comment => 'Red Theme'
  );
null;
 
end;
/

prompt  ...List Templates
--
prompt  ...report templates
--
--application/shared_components/user_interface/templates/report/standard
prompt  ......report template 90017095074450993425
 
begin
 
declare
  c1 varchar2(32767) := null;
  c2 varchar2(32767) := null;
  c3 varchar2(32767) := null;
  c4 varchar2(32767) := null;
begin
c1:=c1||'<td #ALIGNMENT# headers="#COLUMN_HEADER_NAME#">#COLUMN_VALUE#</td>';

c2 := null;
c3 := null;
c4 := null;
wwv_flow_api.create_row_template (
  p_id=> 90017095074450993425 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_row_template_name=> 'Standard',
  p_row_template1=> c1,
  p_row_template_condition1=> '',
  p_row_template2=> c2,
  p_row_template_condition2=> '',
  p_row_template3=> c3,
  p_row_template_condition3=> '',
  p_row_template4=> c4,
  p_row_template_condition4=> '',
  p_row_template_before_rows=>'<table class="uReportContainer" #REPORT_ATTRIBUTES# id="report_#REGION_STATIC_ID#" summary="">'||unistr('\000a')||
'<tbody class="uReportPagination">'||unistr('\000a')||
'#TOP_PAGINATION#'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'<tbody class="uReportBody">'||unistr('\000a')||
'<tr><td>'||unistr('\000a')||
'<table summary="#REGION_TITLE#" class="uReport uReportStandard">',
  p_row_template_after_rows =>'</tbody>'||unistr('\000a')||
'</table>'||unistr('\000a')||
'</td>'||unistr('\000a')||
'</tr>'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'<tbody class="uReportPagination">'||unistr('\000a')||
'#PAGINATION#'||unistr('\000a')||
'</tbody>'||unistr('\000a')||
'</table>'||unistr('\000a')||
'<div class="uReportDownloadLinks">#EXTERNAL_LINK##CSV_LINK#</div>',
  p_row_template_table_attr =>'',
  p_row_template_type =>'GENERIC_COLUMNS',
  p_before_column_heading=>'<thead>',
  p_column_heading_template=>'<th #ALIGNMENT# id="#COLUMN_HEADER_NAME#" #COLUMN_WIDTH#>#COLUMN_HEADER#</th>',
  p_after_column_heading=>'</thead>'||unistr('\000a')||
'<tbody>',
  p_row_template_display_cond1=>'0',
  p_row_template_display_cond2=>'0',
  p_row_template_display_cond3=>'0',
  p_row_template_display_cond4=>'0',
  p_next_page_template=>'<a href="#LINK#" class="uPaginationNext">#PAGINATION_NEXT# <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /></a>',
  p_previous_page_template=>'<a href="#LINK#" class="uPaginationPrev"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /> #PAGINATION_PREVIOUS#</a>',
  p_next_set_template=>'<a href="#LINK#" class="uPaginationNext">#PAGINATION_NEXT_SET# <img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /></a>',
  p_previous_set_template=>'<a href="#LINK#" class="uPaginationPrev"><img src="#IMAGE_PREFIX#f_spacer.gif" alt="" /> #PAGINATION_PREVIOUS_SET#</a>',
  p_row_style_mouse_over=>'#F0F0F0',
  p_row_style_checked=>'#E8E8E8',
  p_theme_id  => 24,
  p_theme_class_id => 4,
  p_translate_this_template => 'N',
  p_row_template_comment=> '');
end;
null;
 
end;
/

 
begin
 
begin
wwv_flow_api.create_row_template_patch (
  p_id => 90017095074450993425 + wwv_flow_api.g_id_offset,
  p_row_template_before_first =>'<tr>',
  p_row_template_after_last =>'</tr>');
exception when others then null;
end;
null;
 
end;
/

prompt  ...label templates
--
--application/shared_components/user_interface/templates/label/optional
prompt  ......label template 90017097449082993429
 
begin
 
begin
wwv_flow_api.create_field_template (
  p_id=> 90017097449082993429 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_template_name=>'Optional',
  p_template_body1=>'<label for="#CURRENT_ITEM_NAME#" class="uOptional">',
  p_template_body2=>'</label>',
  p_before_item=>'',
  p_after_item=>'',
  p_on_error_before_label=>'',
  p_on_error_after_label=>'<span class="uLabelError">#ERROR_MESSAGE#</span>',
  p_theme_id  => 24,
  p_theme_class_id => 3,
  p_translate_this_template=> 'N',
  p_template_comment=> '');
end;
null;
 
end;
/

prompt  ...breadcrumb templates
--
--application/shared_components/user_interface/templates/popuplov
prompt  ...popup list of values templates
--
prompt  ......template 90017098961659993432
 
begin
 
begin
wwv_flow_api.create_popup_lov_template (
  p_id=> 90017098961659993432 + wwv_flow_api.g_id_offset,
  p_flow_id=> wwv_flow.g_flow_id,
  p_popup_icon=>'#IMAGE_PREFIX#f_spacer.gif',
  p_popup_icon_attr=>'alt="#LIST_OF_VALUES#" title="#LIST_OF_VALUES#" class="uPopupLOVIcon"',
  p_popup_icon2=>'',
  p_popup_icon_attr2=>'',
  p_page_name=>'winlov',
  p_page_title=>'Search Dialog',
  p_page_html_head=>'<!--[if IE]><meta http-equiv="X-UA-Compatible" content="IE=edge" /><![endif]-->'||unistr('\000a')||
'<link rel="shortcut icon" href="#IMAGE_PREFIX#favicon.ico" type="image/x-icon">  <link rel="stylesheet" href="#IMAGE_PREFIX#themes/theme_24/css/4_1.css" type="text/css" media="all"/>'||unistr('\000a')||
'#THEME_CSS#',
  p_page_body_attr=>'class="uPopUpLOV"',
  p_before_field_text=>'<div class="uActionBar">',
  p_page_heading_text=>'',
  p_page_footer_text =>'',
  p_filter_width     =>'20',
  p_filter_max_width =>'100',
  p_filter_text_attr =>'class="searchField"',
  p_find_button_text =>'Search',
  p_find_button_image=>'',
  p_find_button_attr =>'class="smallButton"',
  p_close_button_text=>'Close',
  p_close_button_image=>'',
  p_close_button_attr=>'class="smallButton hotButton"',
  p_next_button_text =>'Next >',
  p_next_button_image=>'',
  p_next_button_attr =>'class="smallButton"',
  p_prev_button_text =>'< Previous',
  p_prev_button_image=>'',
  p_prev_button_attr =>'class="smallButton"',
  p_after_field_text=>'</div>',
  p_scrollbars=>'1',
  p_resizable=>'1',
  p_width =>'400',
  p_height=>'450',
  p_result_row_x_of_y=>'<div class="lovPagination">Row(s) #FIRST_ROW# - #LAST_ROW#</div>',
  p_result_rows_per_pg=>500,
  p_before_result_set=>'<div class="lovLinks">',
  p_theme_id  => 24,
  p_theme_class_id => 1,
  p_translate_this_template => 'N',
  p_after_result_set   =>'</div>');
end;
null;
 
end;
/

prompt  ...calendar templates
--
prompt  ...application themes
--
--application/shared_components/user_interface/themes/cloudy
prompt  ......theme 90017099067293993433
begin
wwv_flow_api.create_theme (
  p_id =>90017099067293993433 + wwv_flow_api.g_id_offset,
  p_flow_id =>wwv_flow.g_flow_id,
  p_theme_id  => 24,
  p_theme_name=>'Cloudy',
  p_ui_type_name=>'DESKTOP',
  p_is_locked=>false,
  p_default_page_template=>90017089652831993416 + wwv_flow_api.g_id_offset,
  p_error_template=>90017089652831993416 + wwv_flow_api.g_id_offset,
  p_printer_friendly_template=>null + wwv_flow_api.g_id_offset,
  p_breadcrumb_display_point=>'REGION_POSITION_01',
  p_sidebar_display_point=>'REGION_POSITION_02',
  p_login_template=>90017089361621993413 + wwv_flow_api.g_id_offset,
  p_default_button_template=>90017098067253993430 + wwv_flow_api.g_id_offset,
  p_default_region_template=>90017092053684993421 + wwv_flow_api.g_id_offset,
  p_default_chart_template =>null + wwv_flow_api.g_id_offset,
  p_default_form_template  =>null + wwv_flow_api.g_id_offset,
  p_default_reportr_template => null,
  p_default_tabform_template=>null + wwv_flow_api.g_id_offset,
  p_default_wizard_template=>null + wwv_flow_api.g_id_offset,
  p_default_menur_template=>null + wwv_flow_api.g_id_offset,
  p_default_listr_template=>null + wwv_flow_api.g_id_offset,
  p_default_irr_template=>null + wwv_flow_api.g_id_offset,
  p_default_report_template   =>90017095074450993425 + wwv_flow_api.g_id_offset,
  p_default_label_template=>90017097449082993429 + wwv_flow_api.g_id_offset,
  p_default_menu_template=>null + wwv_flow_api.g_id_offset,
  p_default_calendar_template=>null + wwv_flow_api.g_id_offset,
  p_default_list_template=>null + wwv_flow_api.g_id_offset,
  p_default_option_label=>90017097566188993429 + wwv_flow_api.g_id_offset,
  p_default_header_template=>null + wwv_flow_api.g_id_offset,
  p_default_footer_template=>null + wwv_flow_api.g_id_offset,
  p_default_page_transition=>'NONE',
  p_default_popup_transition=>'NONE',
  p_default_required_label=>90017097749642993430 + wwv_flow_api.g_id_offset);
end;
/
 
prompt  ...theme styles
--
 
begin
 
null;
 
end;
/

prompt  ...theme display points
--
 
begin
 
null;
 
end;
/

prompt  ...build options
--
 
begin
 
null;
 
end;
/

--application/shared_components/globalization/language
prompt  ...Language Maps for Application 104
--
 
begin
 
null;
 
end;
/

--application/shared_components/globalization/messages
prompt  ...text messages
--
prompt  ......Message save_data_date_error
declare
  h varchar2(32767) := null;
 
begin
 
h:=h||'Couldn''t save value. Please check that value is valid date. Date format should be in %0.';

wwv_flow_api.create_message (
  p_id=>4376918428185291 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_name=>'SAVE_DATA_DATE_ERROR',
  p_message_language=>'en',
  p_message_text=>h);
null;
 
end;
/

prompt  ......Message save_data_number_error
declare
  h varchar2(32767) := null;
 
begin
 
h:=h||'Couldn''t save value. Please check that value is valid number.';

wwv_flow_api.create_message (
  p_id=>4377111311188610 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_name=>'SAVE_DATA_NUMBER_ERROR',
  p_message_language=>'en',
  p_message_text=>h);
null;
 
end;
/

prompt  ......Message blog_post_link
declare
  h varchar2(32767) := null;
 
begin
 
h:=h||'<p class="fielddatabold">See blog post <a target="_blank" href="http://dbswh.webhop.net/apex/f?p=BLOG:READ:0::::ARTICLE:%0">%1</a>.</p>';

wwv_flow_api.create_message (
  p_id=>4382920005366885 + wwv_flow_api.g_id_offset,
  p_flow_id=>wwv_flow.g_flow_id,
  p_name=>'BLOG_POST_LINK',
  p_message_language=>'en',
  p_message_text=>h);
null;
 
end;
/

--application/shared_components/globalization/dyntranslations
prompt  ...dynamic translations
--
prompt  ...Shortcuts
--
--application/shared_components/user_interface/shortcuts/page_1_help
 
begin
 
declare
  c1 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'RETURN APEX_LANG.MESSAGE(''BLOG_POST_LINK'', ''201406180631350353'', ''Yet another way to create "editable interactive report" part 2'');';

wwv_flow_api.create_shortcut (
 p_id=> 4383226031379271 + wwv_flow_api.g_id_offset,
 p_flow_id=> wwv_flow.g_flow_id,
 p_shortcut_name=> 'PAGE_1_HELP',
 p_shortcut_type=> 'FUNCTION_BODY',
 p_shortcut=> c1);
end;
null;
 
end;
/

--application/shared_components/user_interface/shortcuts/delete_confirm_msg
 
begin
 
declare
  c1 varchar2(32767) := null;
  l_clob clob;
  l_length number := 1;
begin
c1:=c1||'Would you like to perform this delete action?';

wwv_flow_api.create_shortcut (
 p_id=> 90017105558912997448 + wwv_flow_api.g_id_offset,
 p_flow_id=> wwv_flow.g_flow_id,
 p_shortcut_name=> 'DELETE_CONFIRM_MSG',
 p_shortcut_type=> 'TEXT_ESCAPE_JS',
 p_shortcut=> c1);
end;
null;
 
end;
/

prompt  ...web services (9iR2 or better)
--
prompt  ...shared queries
--
prompt  ...report layouts
--
prompt  ...authentication schemes
--
--application/shared_components/security/authentication/application_express_authentication
prompt  ......authentication 90017099347425993435
 
begin
 
wwv_flow_api.create_authentication (
  p_id => 90017099347425993435 + wwv_flow_api.g_id_offset
 ,p_flow_id => wwv_flow.g_flow_id
 ,p_name => 'Application Express Authentication'
 ,p_scheme_type => 'NATIVE_APEX_ACCOUNTS'
 ,p_invalid_session_type => 'LOGIN'
 ,p_use_secure_cookie_yn => 'N'
  );
null;
 
end;
/

prompt  ...ui types
--
 
begin
 
null;
 
end;
/

prompt  ...plugins
--
prompt  ...data loading
--
--application/deployment/definition
prompt  ...application deployment
--
 
begin
 
declare
    s varchar2(32767) := null;
    l_clob clob;
begin
s:=s||'DROP TABLE DBSWH_EDIT_IR_EMP;'||unistr('\000a')||
'DROP SEQUENCE DBSWH_EDIT_IR_EMP_SEQ;'||unistr('\000a')||
'DROP TABLE DBSWH_EDIT_IR_DEPT;'||unistr('\000a')||
'DROP SEQUENCE DBSWH_EDIT_IR_DEPT_SEQ;'||unistr('\000a')||
'';

wwv_flow_api.create_install (
  p_id => 90017134765185025595 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_include_in_export_yn => 'Y',
  p_welcome_message => 'This application installer will guide you through the process of creating your database objects and seed data.',
  p_configuration_message => 'You can configure the following attributes of your application.',
  p_build_options_message => 'You can choose to include the following build options.',
  p_validation_message => 'The following validations will be performed to ensure your system is compatible with this application.',
  p_install_message=> 'Please confirm that you would like to install this application''s supporting objects.',
  p_install_success_message => 'Your application''s supporting objects have been installed.',
  p_install_failure_message => 'Installation of database objects and seed data has failed.',
  p_upgrade_message => 'The application installer has detected that this application''s supporting objects were previously installed.  This wizard will guide you through the process of upgrading these supporting objects.',
  p_upgrade_confirm_message => 'Please confirm that you would like to install this application''s supporting objects.',
  p_upgrade_success_message => 'Your application''s supporting objects have been installed.',
  p_upgrade_failure_message => 'Installation of database objects and seed data has failed.',
  p_deinstall_success_message => 'Deinstallation complete.',
  p_deinstall_script_clob => s,
  p_required_free_kb => 500,
  p_required_sys_privs => 'CREATE SEQUENCE:CREATE TABLE:CREATE TRIGGER',
  p_required_names_available => 'DBSWH_EDIT_IR_DEPT:DBSWH_EDIT_IR_DEPT_SEQ:DBSWH_EDIT_IR_DEPT_TRG1:DBSWH_EDIT_IR_EMP:DBSWH_EDIT_IR_EMP_SEQ:DBSWH_EDIT_IR_EMP_TRG1',
  p_deinstall_message=> '');
end;
 
 
end;
/

--application/deployment/install
prompt  ...application install scripts
--
 
begin
 
declare
    s varchar2(32767) := null;
    l_clob clob;
    l_length number := 1;
begin
s:=s||'CREATE SEQUENCE   "DBSWH_EDIT_IR_EMP_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 8900 CACHE 20 NOORDER  NOCYCLE'||unistr('\000a')||
'/'||unistr('\000a')||
'CREATE SEQUENCE   "DBSWH_EDIT_IR_DEPT_SEQ"  MINVALUE 1 MAXVALUE 9999999999999999999999999999 INCREMENT BY 1 START WITH 50 CACHE 20 NOORDER  NOCYCLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE TABLE  "DBSWH_EDIT_IR_EMP"'||unistr('\000a')||
'   (    "EMPNO" NUMBER(4,0) NOT NULL ENABLE,'||unistr('\000a')||
'    "ENAME" VARCHAR';

s:=s||'2(10) NOT NULL ENABLE,'||unistr('\000a')||
'    "JOB" VARCHAR2(9) NOT NULL ENABLE,'||unistr('\000a')||
'    "MGR" NUMBER(4,0),'||unistr('\000a')||
'    "HIREDATE" DATE NOT NULL ENABLE,'||unistr('\000a')||
'    "SAL" NUMBER(7,2) NOT NULL ENABLE,'||unistr('\000a')||
'    "COMM" NUMBER(7,2),'||unistr('\000a')||
'    "DEPTNO" NUMBER(2,0) NOT NULL ENABLE,'||unistr('\000a')||
'     PRIMARY KEY ("EMPNO") ENABLE'||unistr('\000a')||
'   )'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE TABLE  "DBSWH_EDIT_IR_DEPT"'||unistr('\000a')||
'   (    "DEPTNO" NUMBER(2,0),'||unistr('\000a')||
'    "DNAME" VARCHAR2(14) NOT NULL ENABLE,'||unistr('\000a')||
'    "LOC" VARCHAR2(13) N';

s:=s||'OT NULL ENABLE,'||unistr('\000a')||
'     PRIMARY KEY ("DEPTNO") ENABLE'||unistr('\000a')||
'   )'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'ALTER TABLE  "DBSWH_EDIT_IR_EMP" ADD FOREIGN KEY ("MGR")'||unistr('\000a')||
'      REFERENCES  "DBSWH_EDIT_IR_EMP" ("EMPNO") ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'ALTER TABLE  "DBSWH_EDIT_IR_EMP" ADD FOREIGN KEY ("DEPTNO")'||unistr('\000a')||
'      REFERENCES  "DBSWH_EDIT_IR_DEPT" ("DEPTNO") ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
''||unistr('\000a')||
'CREATE OR REPLACE TRIGGER  "DBSWH_EDIT_IR_EMP_TRG1"'||unistr('\000a')||
'before insert on DBSWH_EDIT_IR_EMP'||unistr('\000a')||
'for each row'||unistr('\000a')||
'begin';

s:=s||''||unistr('\000a')||
'    if :new.empno is null then'||unistr('\000a')||
'        select DBSWH_EDIT_IR_EMP_SEQ.nextval into :new.empno from dual;'||unistr('\000a')||
'   end if;'||unistr('\000a')||
'end;'||unistr('\000a')||
''||unistr('\000a')||
'/'||unistr('\000a')||
'ALTER TRIGGER  "DBSWH_EDIT_IR_EMP_TRG1" ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'CREATE OR REPLACE TRIGGER  "DBSWH_EDIT_IR_DEPT_TRG1"'||unistr('\000a')||
'before insert on DBSWH_EDIT_IR_DEPT'||unistr('\000a')||
'for each row'||unistr('\000a')||
'begin'||unistr('\000a')||
'    if :new.deptno is null then'||unistr('\000a')||
'        select DBSWH_EDIT_IR_DEPT_SEQ.nextval into :new.deptno from dual;'||unistr('\000a')||
'   end if;'||unistr('\000a')||
'en';

s:=s||'d;'||unistr('\000a')||
''||unistr('\000a')||
'/'||unistr('\000a')||
'ALTER TRIGGER  "DBSWH_EDIT_IR_DEPT_TRG1" ENABLE'||unistr('\000a')||
'/'||unistr('\000a')||
''||unistr('\000a')||
'insert into DBSWH_EDIT_IR_DEPT ("DEPTNO", "DNAME", "LOC") values(10, ''ACCOUNTING'', ''NEW YORK'');'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_DEPT ("DEPTNO", "DNAME", "LOC") values(20, ''RESEARCH'', ''DALLAS'');'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_DEPT ("DEPTNO", "DNAME", "LOC") values(30, ''SALES'', ''CHICAGO'');'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_DEPT ("DEPTNO", "DNAME", "LOC") values(';

s:=s||'40, ''OPERATIONS'', ''BOSTON'');'||unistr('\000a')||
''||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7839,''KING'',''PRESIDENT'',null,to_date(''17-11-81'',''DD-MM-RR''),5000,null,10);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7698,''BLAKE'',''MANAGER'',7839,to_date(''01-05-81'',''DD-MM-RR''),2850,null,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,';

s:=s||'HIREDATE,SAL,COMM,DEPTNO) values (7782,''CLARK'',''MANAGER'',7839,to_date(''09-06-81'',''DD-MM-RR''),2450,null,10);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7566,''JONES'',''MANAGER'',7839,to_date(''02-04-81'',''DD-MM-RR''),2975,null,20);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7788,''SCOTT'',''ANALYST'',7566,to_date(''09-12-82'',''';

s:=s||'DD-MM-RR''),3000,null,20);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7902,''FORD'',''ANALYST'',7566,to_date(''03-12-81'',''DD-MM-RR''),3000,null,20);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7369,''SMITH'',''CLERK'',7902,to_date(''17-12-80'',''DD-MM-RR''),800,null,20);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,';

s:=s||'SAL,COMM,DEPTNO) values (7499,''ALLEN'',''SALESMAN'',7698,to_date(''20-02-81'',''DD-MM-RR''),1600,300,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7521,''WARD'',''SALESMAN'',7698,to_date(''22-02-81'',''DD-MM-RR''),1250,500,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7654,''MARTIN'',''SALESMAN'',7698,to_date(''28-09-81'',''DD-MM-RR';

s:=s||'''),1250,1400,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7844,''TURNER'',''SALESMAN'',7698,to_date(''08-09-81'',''DD-MM-RR''),1500,null,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7876,''ADAMS'',''CLERK'',7788,to_date(''12-01-83'',''DD-MM-RR''),1100,null,20);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,';

s:=s||'COMM,DEPTNO) values (7900,''JAMES'',''CLERK'',7698,to_date(''03-12-81'',''DD-MM-RR''),950,null,30);'||unistr('\000a')||
'insert into DBSWH_EDIT_IR_EMP (EMPNO,ENAME,JOB,MGR,HIREDATE,SAL,COMM,DEPTNO) values (7934,''MILLER'',''CLERK'',7782,to_date(''23-01-82'',''DD-MM-RR''),1300,null,10);'||unistr('\000a')||
'';

wwv_flow_api.create_install_script(
  p_id => 90017200958044016412 + wwv_flow_api.g_id_offset,
  p_flow_id => wwv_flow.g_flow_id,
  p_install_id=> 90017134765185025595 + wwv_flow_api.g_id_offset,
  p_name => 'Tables',
  p_sequence=> 10,
  p_script_type=> 'INSTALL',
  p_script_clob=> s);
end;
 
 
end;
/

--application/deployment/checks
prompt  ...application deployment checks
--
 
begin
 
null;
 
end;
/

--application/deployment/buildoptions
prompt  ...application deployment build options
--
 
begin
 
null;
 
end;
/

prompt  ...post import process
 
begin
 
wwv_flow_api.post_import_process(p_flow_id => wwv_flow.g_flow_id);
null;
 
end;
/

--application/end_environment
commit;
commit;
begin
execute immediate 'begin sys.dbms_session.set_nls( param => ''NLS_NUMERIC_CHARACTERS'', value => '''''''' || replace(wwv_flow_api.g_nls_numeric_chars,'''''''','''''''''''') || ''''''''); end;';
end;
/
set verify on
set feedback on
set define on
prompt  ...done
